<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Show Project</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        {{ user }}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My Projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ tasks.name }}</h1>
                <p>{{ tasks.description }}</p>
                <h2>Tasks</h2>
                <p>
                    <a href="{% url 'create_task' %}">Create a new task</a>
                </p>
                {% if tasks.tasks.all|length > 0 %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Assignee</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for item in tasks.tasks.all %}
                                <tr>
                                    <td>{{ item.name }}</td>
                                    <td>{{ item.assignee }}</td>
                                    <td>{{ item.start_date|date:"M d, Y, G:ia" }}</td>
                                    <td>{{ item.due_date|date:"M d, Y, G:ia" }}</td>
                                    <td>{{ item.is_completed|yesno }}</td>
                                </tr>
                            {% endfor %}
                        {% else %}
                            <p>This project has no tasks</p>
                        {% endif %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
